import type { Either, ErrorResolver } from '@lokalise/node-core';
import type { QueueConsumer, QueueOptions } from '@message-queue-toolkit/core';
import type { AMQPConsumerDependencies, AMQPQueueConfig } from './AbstractAmqpService';
import { AbstractAmqpService } from './AbstractAmqpService';
export declare abstract class AbstractAmqpConsumer<MessagePayloadType extends object> extends AbstractAmqpService<MessagePayloadType, AMQPConsumerDependencies> implements QueueConsumer {
    private readonly transactionObservabilityManager?;
    protected readonly errorResolver: ErrorResolver;
    constructor(dependencies: AMQPConsumerDependencies, options: QueueOptions<MessagePayloadType, AMQPQueueConfig>);
    abstract processMessage(messagePayload: MessagePayloadType): Promise<Either<'retryLater', 'success'>>;
    private deserializeMessage;
    start(): Promise<void>;
}
