import type { Either } from '@lokalise/node-core';
import type { Message } from 'amqplib';
import type { ZodType } from 'zod';
import type { AmqpConsumerErrorResolver } from './errors/AmqpConsumerErrorResolver';
import type { AmqpMessageInvalidFormat, AmqpValidationError } from './errors/amqpErrors';
export declare const deserializeMessage: <T extends object>(message: Message, type: ZodType<T, import("zod").ZodTypeDef, T>, errorProcessor: AmqpConsumerErrorResolver) => Either<AmqpMessageInvalidFormat | AmqpValidationError, T>;
